Jack::JackShmMemAble Class Reference

A class which objects possibly want to be allocated in shared memory derives from this class. More...

`#include <JackShmMem.h>`

Inheritance diagram for Jack::JackShmMemAble:

## Public Member Functions

void | Init ()
int | GetShmIndex ()
char * | GetShmAddress ()
void | LockMemory ()
void | UnlockMemory ()

## Protected Attributes

jack_shm_info_t | fInfo

## Detailed Description

A class which objects possibly want to be allocated in shared memory derives from this class.

Definition at line 87 of file JackShmMem.h.

The documentation for this class was generated from the following files:

- JackShmMem.h
- JackShmMem.cpp